libgd-perl (2.83-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 2.81.
  * Declare compliance with Debian Policy 4.7.0.
  * Import upstream version 2.82.
  * Import upstream version 2.83.
  * New build dependency: libfile-which-perl.
  * Add patch to help Makefile.PL find gdlib.pc.
  * Declare compliance with Debian Policy 4.7.2.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional», which is the current default.

 -- gregor herrmann <gregoa@debian.org>  Mon, 03 Nov 2025 21:59:10 +0100

libgd-perl (2.78-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 2.78.
  * New test dependency: libtest-nowarnings-perl.
  * Declare compliance with Debian Policy 4.6.2.
  * Remove generated script via debian/clean. (Closes: #1046705)

 -- gregor herrmann <gregoa@debian.org>  Thu, 02 Nov 2023 16:59:39 +0100

libgd-perl (2.76-4) unstable; urgency=medium

  * Team upload.
  * Drop libwebp-dev from Build-Depends and use the
    fixed libgd-dev instead.
    This also leads to a versioned runtime dependency, which is a
    positive side effect.

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 Jul 2022 23:56:27 +0200

libgd-perl (2.76-3) unstable; urgency=medium

  * Team upload,
  * debian/rules: actually use variable we define at the top.
  * Add libwebp-dev to Build-Depends. Otherwise the configure state fails.
  * Declare compliance with Debian Policy 4.6.1.

 -- gregor herrmann <gregoa@debian.org>  Mon, 11 Jul 2022 18:44:59 +0200

libgd-perl (2.76-2) unstable; urgency=medium

  * Team upload.
  * Add a Breaks on older versions of libgd-graph-perl. Cf. #1004926

 -- gregor herrmann <gregoa@debian.org>  Fri, 04 Feb 2022 20:49:42 +0100

libgd-perl (2.76-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 2.76.

 -- gregor herrmann <gregoa@debian.org>  Wed, 02 Feb 2022 16:40:03 +0100

libgd-perl (2.75-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 2.75.
  * Update debian/upstream/metadata.
  * Declare compliance with Debian Policy 4.6.0.
  * Drop unneeded version constraints from (build) dependencies.
  * debian/control: remove (incomplete) list of libgd-dev's dependencies
    from Build-Depends.

 -- gregor herrmann <gregoa@debian.org>  Sat, 29 Jan 2022 19:57:40 +0100

libgd-perl (2.73-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 2.73.

 -- gregor herrmann <gregoa@debian.org>  Sun, 27 Sep 2020 03:08:09 +0200

libgd-perl (2.72-2) unstable; urgency=medium

  * Team upload.
  * Add back Breaks/Replaces/Provides an libgd-gd2-perl and
    libgd-gd2-noxpm-perl.
    Apparently there are still at least 13 packages in the archive depending
    on them. This fact was unfortunately missed in the previous upload.
    (Closes: #966498)

 -- gregor herrmann <gregoa@debian.org>  Wed, 29 Jul 2020 16:33:47 +0200

libgd-perl (2.72-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 2.72.
  * Update build dependencies.
    Drop the alternative on the ancient libgd2-xpm-dev, and make the
    dependency on libgd-dev versioned to ensure we have the fixes for
    CVE-2019-6977 and CVE-2019-11038.
  * Update debian/copyright, remove helper files.
  * Remove debian/gbp.conf.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Update Build-Depends for cross builds.
  * Annotate test-only build dependencies with <!nocheck>.
  * Bump debhelper-compat to 13.
  * debian/watch: use uscan version 4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Remove obsolete field Name from debian/upstream/metadata.
  * Drop ancient Breakes/Replaces/Provides on libgd-gd2-{,noxpm-}perl.
  * Drop unused debian/source/include-binaries.

 -- gregor herrmann <gregoa@debian.org>  Wed, 22 Jul 2020 19:58:57 +0200

libgd-perl (2.71-2) unstable; urgency=medium

  * Team upload.
  * Add back Provides/Replaces/Breaks on libgd-gd2-noxpm-perl and libgd-
    gd2-perl which got lost in the cdbs → dh transition.
    Thanks to Sven Joachim for the bug report. (Closes: #922956)

 -- gregor herrmann <gregoa@debian.org>  Fri, 22 Feb 2019 13:31:11 +0100

libgd-perl (2.71-1) unstable; urgency=medium

  * Team upload

  [ Damyan Ivanov ]
  * change Priority from 'extra' to 'optional'
  * declare conformance with Policy 4.1.3

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/*: update URLs from {search,www}.cpan.org to MetaCPAN.
  * debian/*: update GitHub URLs to use HTTPS.

  [ Xavier Guimard ]
  * Add upstream/metadata
  * Import upstream version 2.68
  * Add pod-errors.patch to improve POD display
  * debian/watch: use pkg-perl regexp
  * Switch from cdbs to dh
  * Fix debian/copyright format
  * Declare compliance with policy 4.2.1
  * Change bdf2gdfont.pl name to bdf2gdfont + add debian/NEWS
  * Import upstream version 2.69
  * Add libtest-fork-perl in build dependencies
  * Email change: Xavier Guimard -> yadd@debian.org

  [ Jonas Smedegaard ]
  * Remove myself as uploader.

  [ Florian Schlichting ]
  * Import upstream version 2.71
  * Drop pod-errors.patch, applied upstream
  * Bump dh compat to level 12
  * Declare compliance with Debian Policy 4.3.0

 -- Florian Schlichting <fsfs@debian.org>  Thu, 21 Feb 2019 21:43:44 +0100

libgd-perl (2.66-1) unstable; urgency=medium

  * Team upload.
  * Fix spelling of my last name in old changelog entry.
  * debian/watch: only check the location at MetaCPAN.

  * New upstream version 2.66.
  * Drop 020150323~58eceb8.patch which was taken from upstream Git.
  * Drop 1001_fix_pod_errors.patch, fixed upstream.
  * Drop 1002_gdlib-config_pkg-config.patch, fixed upstream.
  * Drop 2001_disable_jpeg_test_10.patch, not needed anymore.
  * debian/rules: don't try to install README.unix and qd.pl.
    Both removed upstream.
  * debian/copyright: fix a path.
  * Declare compliance with Debian Policy 4.0.0.

 -- gregor herrmann <gregoa@debian.org>  Fri, 23 Jun 2017 22:16:18 +0200

libgd-perl (2.53-3) unstable; urgency=medium

  * Team upload.
  * Add patch to use pkg-config instead of the removed gdlib-config.
    (Closes: #825629)
  * Add build dependency on libextutils-pkgconfig-perl.
  * Update Vcs-Git field in debian/control.
  * Update lintian override for debhelper version.
  * Declare compliance with Debian Policy 3.9.8.

 -- gregor herrmann <gregoa@debian.org>  Sun, 25 Sep 2016 20:34:43 +0200

libgd-perl (2.53-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change libpng12-dev build-dependency to libpng-dev, to ease libpng
    transition. (Closes: #810189)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Jan 2016 11:16:53 +0100

libgd-perl (2.53-2) unstable; urgency=medium

  [ Vasudev Kamath ]
  * Drop myself from uploaders.

  [ Jonas Smedegaard ]
  * Fix replace (not only provide and break) libgd-gd2-perl and
    libgd-gd2-noxpm-perl: Wrongly changed in 2.53-1.
    Closes: Bug#806458. Thanks to Guillem Jover.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend copyright of packaging to cover current year.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.
  * Fix put aside (not clean) bdf_scripts/bdf2gdfont.pl and Makefile.old
    (shipped upstream so removal upsets git-buildpackage).
  * Declare compliance with Debian Policy 3.9.6.
  * Modernize Vcs-* paragraphs.
  * Add patch cherry-picked upstream to fix libgd ver check.
    Closes: Bug#789289. Thanks to Martin Mueller.
  * Renumber and unfuzz patches.
  * Fix build-depend on recent libgd-dev (not bogus libgd2-dev).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Nov 2015 11:03:18 +0100

libgd-perl (2.53-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Fix misleading warning message about location of gd.h file.
    + Fix regression tests to run on Ubuntu 12.04 64bit.
    + Point to Gabor Szabo's GD::Simple tutorial, and fix link to
      repository.

  [ Jonas Smedegaard ]
  * Bump standards-compliance to 3.9.5.
  * Stop mentioning 'gd2 variant' in short description: There is only
    that single variant on GD nowadays.
  * Update watch file to use metacpan.org and cpan.org/modules URLs (not
    search.cpan.org URL).
  * Update copyright info: Extend coverage of packaging.
  * Extract metadata from images and fonts before copyright check (don't
    just skip check them).
    Build-depend on libregexp-assemble-perl, libimage-exiftool-perl and
    libfont-ttf-perl.
  * Fix break libgd-gd2-perl and libgd-gd2-noxpm-perl (as intended since
    2.49-1).
  * Put aside upstream shipped autogenerated file during build.
    Tighten build-dependency on cdbs.
  * Update homepage.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Jun 2014 11:32:46 +0200

libgd-perl (2.50-1) unstable; urgency=low

  [ upstream ]
  * New release.
    + Fix gdUseFontConfig so that it can be called as a class method.

  [ Jonas Smedegaard ]
  * Improve watch file to use both www.cpan.org/authors URL (for newest
    info) and search.cpan.org/dist URL (for change of author).
    Switch get-orig-source target to use www.cpan.org/authors URL.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Jul 2013 09:11:53 +0200

libgd-perl (2.49-1) unstable; urgency=low

  [ upstream ]
  * New release.

  [ gregor herrmann ]
  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.

  [ Salvatore Bonaccorso ]
  * Use canonical host (anonscm.debian.org) in Vcs-Git URI.

  [ Xavier Guimard ]
  * Use canonical host (anonscm.debian.org) in Vcs-Browser URI.
  * Bump standards-version to 3.9.4.

  [ Vasudev Kamath ]
  * Rename source package to libgd-perl.
  * Add myself as uploader.
  * Build-Depend on libgd2-dev (keeping libgd2-xpm-dev as fallback to
    ease backporting).
  * Relax to build-depend unversioned on debhelper: Needed version
    satisfied even in oldstable.
  * Declare all cleanup in rules file (stop use debhelper clean hook).
  * Drop makemaker-ccflags.patch: Adopted upstream.

  [ Jonas Smedegaard ]
  * Update README.source to emphasize control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Update Vcs-* URLs to reflect new source package libgd-perl.
  * Update package relations:
    + Build-depend on devscripts to check copyright unconditionally.
    + Stop conflicting against libgd-noxpm-perl, libgd-perl,
      libgd-gd1-perl or libgd-gd1-noxpm-perl: dropped before oldstable
      (or for the latter two: never part of a Debian release).
    + Provide/replace/break libgd-gd2-perl and libgd-gd2-noxpm-perl.
  * Update copyright file:
    + Rewrite using file format 1.0.
    + Add git URL as alternate source.
  * Drop legacy epoch from package version.
  * Simplify watch file.
  * Fix make find rules in rules file POSIX-compliant.
  * Stop tracking md5sum of upstream tarball.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Jun 2013 22:14:09 +0200

libgd-gd2-perl (1:2.46-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add regression test files matching libgd 2.1.0-rc1, confirmed to be
    visually indistinguishable (closes: #709048).

 -- Colin Watson <cjwatson@debian.org>  Sat, 22 Jun 2013 11:26:00 +0100

libgd-gd2-perl (1:2.46-3) unstable; urgency=low

  * Fix FTBFS on perl 5.14: append $Config{ccflags} to CCFLAGS
    (Closes: #636649)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 04 Aug 2011 21:40:26 +0100

libgd-gd2-perl (1:2.46-2) unstable; urgency=low

  * build-depend on libjpeg-dev (Closes: #636451)
    Needed a patch to disable the JPEG test as that is buggy and fails with
    libjpeg8 (Closes: #565920)
  * stop shipping HTML variant of GD POD
  * fix interpreter path in examples (Closes: #601404)
  * add patch fixing POD errors

 -- Damyan Ivanov <dmn@debian.org>  Wed, 03 Aug 2011 15:50:23 +0300

libgd-gd2-perl (1:2.46-1) unstable; urgency=low

  * New upstream release.
  * Tidy watch file: Strip unneeded + in regexp.
  * Update copyright file:
    + Rewrite using draft 174 of DEP-5 format.
    + Extend copyright years for Debian packaging.
    + Fix use initial wildcard Files section.
    + Rewrap license fields at 72 chars.
  * Bump policy compliance to standards-version 3.9.2.
  * Drop removal-during-install of no longer shipped bdf2gdfont.pl.
  * Improve package relations:
    + Relax (drop versioning) for package satisifed even in oldstable:
      - libgd2-xpm-dev

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 08 May 2011 15:31:18 +0200

libgd-gd2-perl (1:2.45-2) unstable; urgency=low

  * Fix update watch file to track both by-modules and search.cpan.org.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Mar 2011 16:42:52 +0100

libgd-gd2-perl (1:2.45-1) unstable; urgency=low

  * Add by-author URL to watch file (in addition to by-module one).
  * Update md5sum hint for new upstream 2.45 release.
  * Use CDBS perl-makemaker.mk (not deprecated perlmodule.mk).
  * Update copyright file:
    + Rewrite using DEP5 Subversion draft rev.173.
    + Extend years.
    + Update mail licensing to Artistic-2.0 or GPL-1+.
    + Add verbatim copy of Artistic-2.0.
  * Adapt copyright-check suppression hint for newer CDBS.
  * Build-depend unversioned on cdbs: Satisfied even by oldstable.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Mar 2011 12:09:02 +0100

libgd-gd2-perl (1:2.45-0.1) experimental; urgency=low

  * New upstream version.
  * Non-maintainer upload.
  * Added two more files to delete after build.

 -- Steffen Moeller <moeller@debian.org>  Sat, 29 Jan 2011 16:25:06 +0100

libgd-gd2-perl (1:2.41-1) unstable; urgency=low

  * New upstream release.
  * Drop locally included CDBS snippets: included in main cdbs now.
  * Packaging moved to Git:
    + Update Vcs stanzas.
    + Add git-buildpackage configfile, enabling signed tags and use of
      pristine-tar.
    + Use source format 3.0 (quilt), with suitable local-options.
    + Git-ignore quilt .pc dir.
  * Drop Sean Finney as uploader, to reflect reality.
  * Add proper licensing header to debian/rules. Extend copyright years.
  * Add README.source. Drop custom hints about CDBS.
  * Strip now obsolete suffices from watch file.
  * Ease backporting to Debian stable: Relax inclusion of CDBS snippets
    required only in DEB_MAINTAINER_MODE, and suppress related build-
    dependencies.
  * Rewrite copyright file using draft rev135 of DEP5 format.
  * Suppress some graphics from copyright-check.
  * Update README.source to not mention quilt: Source format 3.0 use it
    internally, but there it is standard and thus need no mention here.
  * Bump Policy compliance to standards-version 3.9.1.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Oct 2010 02:11:26 +0200

libgd-gd2-perl (1:2.39-2) unstable; urgency=medium

  * Invoke svn-upgrade (not uupdate) in debian/watch.
  * Set urgency=medium as 1:2.39-2 included a FTBFS bugfix (similar to
    bug#487066).

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Jun 2008 20:40:23 +0200

libgd-gd2-perl (1:2.39-1) unstable; urgency=low

  * New upstream release.
  * Really advertise README.cdbs-tweaks as promised in -1.
  * Add Vcs-Svn and Vcs-Browser fields to debian/control.
  * Move Homepage to own field (from pseudo-field in long description).
  * Update local cdbs tweaks:
    + Major updates to copyright-check.mk, most importantly relax to
      only warn by default.
    + Various updates to update-tarball.mk, including changed wget
      options to work with recent versions of wget.
    + Drop buildcore.mk (set hints manually instead as needed).
    + Cosmetic updates to README.cdbs-tweaks.
  * Update debian/copyright-hints.
  * Bump debhelper compatibility level to 6.
  * Fix double cdbs build-dependencies in debian/rules.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Jun 2008 20:20:16 +0200

libgd-gd2-perl (1:2.35-1) unstable; urgency=low

  * New upstream release.
  * Switch to team maintainance using Alioth project pkg-gd, and myself
    and Sean Finney as uploaders. If you (yes, you!) want to help
    packaging GD and related packages for Debian, please get in touch
    with us at pgk-gd-devel@lists.alioth.debian.org .
  * Update CDBS tweaks:
    + Replace auto-update.mk with overloading buildcore.mk.
    + Fix applying buildinfo only once.
    + Fix race condition: check copyright strings in pre-build target
      (not clean target). Closes: bug#424523, thanks to Lucas Nussbaum
      for discovering and Patrick Winnertz for reporting.
    + Add upstream-tarball.mk to implement get-orig-source target.
    + Add debian/README.cdbs-tweaks and advertise it in debian/rules.
  * Declare build-dependencies in debian/rules. Drop deprecated fallback
    build-dependencies on old X11 packages.
  * Semi-auto-update debian/control:
      DEB_BUILD_OPTIONS=cdbs-autoupdate fakeroot debian/rules pre-build

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 12 Aug 2007 20:05:39 +0200

libgd-gd2-perl (1:2.34-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version to 3.7.2 (no changes needed).
  * Advertise search.cpan.org as Homepage (not "Website") in long
    description.
  * Bump watch file version and use uversionmangle to chop 3-digit minor
    version into manageable pieces (2.041->2.04.1 is lower than 2.05).
  * Add local cdbs snippet copyright-check.mk.
  * Move cdbs auto-update activation to local snippet auto-update.mk.
  * Update local cdbs snippet buildinfo.mk to use correct namespace.
  * Quote a couple of install paths (even though cdbs itself does not
    claim to support funny characters in builddir).
  * Update debian/copyright, thanks to copyright-check.mk: bdf2gdfont.pl
    has same license but different owner.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Jul 2006 19:28:07 +0200

libgd-gd2-perl (1:2.30-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Oct 2005 13:13:09 +0100

libgd-gd2-perl (1:2.28-1) unstable; urgency=low

  * New upstream release.
  * Raise to standards version 3.6.2 (no changes needed).
  * Use cdbs auto-update feature (enabled only when environment includes
    DEB_BUILD_OPTIONS=update).
  * Auto-update build-dependencies (and manually rip out build-essential
    buggily sneaking in).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Sep 2005 13:24:44 +0200

libgd-gd2-perl (1:2.23-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Mar 2005 04:07:10 +0100

libgd-gd2-perl (1:2.19-1) unstable; urgency=low

  * New upstream release.
    + Tests updated, which closes: Bug#282370 (thanks to Kurt Roeckx
      <Q@ping.be>).
  * Build-depend on libxpm-dev and libx11-dev, and on xlibs-dev only as
    fallback.
  * Improve debian/rules:
    + Correctly install docs and example code.
    + Invoke dh-buildinfo from cdbs snippet (included locally for now).
    + Clean temporary files slightly more agressively.
    + Install bdf2gdfont.pl only as example script (not below /usr/bin).
    + Add more comments.
    + Make it generic: same file for both libgd-gd2-noxpm-perl and
      libgd-gd2-perl.
  * Tighten build-dependency on debhelper to please linda.
  * Rewrite long description: Mention some of the features and supported
    graphics formats.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Nov 2004 15:47:08 +0100

libgd-gd2-perl (1:2.16-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Thu,  2 Sep 2004 11:56:50 +0200

libgd-gd2-perl (1:2.15-1) unstable; urgency=low

  * New upstream source.
  * This release supports GIF (the LZW patent has expired). Closes:
    Bug#260885 (thanks to Kilian Krause <kk@verfaction.de> - and sorry
    for misunderstanding: I thought the bugreport related to the core
    libgd2 library).
  * Tighten dependency on libgd2 to ensure GIF support gets compiled in.
  * Stop explicit setting configure options (libgd-config is used now).
  * Cleaned up debian/copyright:
    + Replace info contained in changelog with note on "GNU systems".
    + Declare each topic more strictly.
    + Mention "licensing info" together with copyright.
  * Improved long descriptions:
    + General introduction to GD in all (non-transitional) packages
    + Website URL added
  * Standards-Version: 3.6.1.
  * Add more comments to debian/rules.
  * Improve watch file:
    + Add hint on usage
    + Use web URL (instead of ftp)
    + Tweak regex slightly

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Jul 2004 23:21:50 +0200

libgd-gd2-perl (1:2.12-1) unstable; urgency=low

  * New upstream release. Closes: Bug#227307 (anyhow, thanks to Daniel
    Schepler <schepler@math.berkeley.edu>, Bencsath Boldizsar
    <boldi+dbug@mail2003.etl.hu>, and Marc 'HE' Brockschmidt
    <marc@marcbrockschmidt.de> for their efforts).
  * Add epoch to get back to sane version number again.
  * Use "debian" as current version in watch file.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 16 Apr 2004 18:14:03 +0200

libgd-gd2-perl (2.110-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed FTBFS failure caused by the new gd lib. Patch based on patch
    by Bencsath Boldizsar <boldi+dbug@mail2003.etl.hu> (Thanks!). Closes:
    #227307.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 19 Mar 2004 20:53:43 +0100

libgd-gd2-perl (2.110-2) unstable; urgency=low

  * This is not a native package. Source is now correctly upstream
    tarball + diff.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Oct 2003 23:09:40 +0200

libgd-gd2-perl (2.110-1) unstable; urgency=low

  * New upstream release.
  * Update watch file.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Oct 2003 22:56:19 +0200

libgd-gd2-perl (2.070-2) unstable; urgency=low

  * Rebuild against latest libpng12.
  * Switch to packaging using cdbs.
  * Hack watch file to avoid not-newer 2.041.
  * Standards version 3.6.0 (no changes needed).
  * Include (and build-depend on) dh_buildinfo.
  * Add bdf_scripts as example files.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Jul 2003 13:19:26 +0200

libgd-gd2-perl (2.070-1) unstable; urgency=low

  * New upstream release.
  * Tighten build-dependency on libgd2 (required by new features in this
    release).
  * All tests succeed now compiled against libgd2 2.0.12, which closes:
    Bug#191888 (thanks to Daniel Schepler <schepler@math.berkeley.edu>).
  * Use new command-line options instead of patching Makefile.PL.
  * Use debhelper v4. Tighten build-dependency, switch debhelper hint
    from DH_COMPAT to debian/compat, and include ${misc:Depends}.
  * Avoid including -g build option twice.
  * Lower build-dependency on perl as described in perl-policy 3.3 to
    allow building on woody.
  * Bump up Standards-Version to 3.5.9.
  * Change section to perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sun,  4 May 2003 22:55:40 +0200

libgd-gd2-perl (2.060-1) unstable; urgency=low

  * New upstream release (append a zero to avoid using an epoch).
  * Build-depend on libgd-gd2-perl at least version 2.0.5 to pass all
    tests (and because it claims to require it ;-) ).
  * Reenable test 8 (it is relaxed upstream now).
  * Update Makefile.PL patch(es).
  * Install qd.pl only as example.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Feb 2003 04:30:52 +0100

libgd-gd2-perl (2.041-3) unstable; urgency=low

  * Claim to be in compliance with policy 3.5.8.0.
    + Stricten build-dependency on debhelper to at least 3.0.18.
    + Include debug info and respect noopt option at build time.

 -- Jonas Smedegaard <dr@jones.dk>  Sun,  1 Dec 2002 01:36:42 +0100

libgd-gd2-perl (2.041-2) unstable; urgency=low

  * Change wording in copyright about location of Artstic License to
    silence lintian (it was in fact correct already as it was).

 -- Jonas Smedegaard <dr@jones.dk>  Wed,  6 Nov 2002 05:03:17 +0100

libgd-gd2-perl (2.041-1) unstable; urgency=low

  * New upstream release.
  * Remove free -> gd_free patch now corrected upstream.
  * Enable all tests (except test 8, probably failing because of
    Debian-specific FreeType patches) again - tests corrected/updated
    upstream.
  * Tighten build-depends on libgd2-xpm-dev to at least 2.0.4-4 (which
    has a proper shlibs file and correct dependencies).
  * Add watch file.
  * Change build-depends to only the virtual libz-dev and libpng12-dev
    (not their real counterparts as well).
  * Tighten build-dependencies on perl and debhelper.
  * Rewrite debian/rules inspired by newer dh-make-perl template:
    + Credit where credit is due.
    + Use debhelper v3
    + Support DESTDIR and DEB_BUILD_OPTIONS debug.
    + Separate install target.
    + Remove unnecessary debhelper calls.
  * Remove virtual package libgd-perl (now provided as a transitional
    package by source-package libgd-perl (>= 1.41-3)).
  * Mention in description that this package is built with Xpm support.
  * Conflict on all other libgd-*-perl variants.

 -- Jonas Smedegaard <dr@jones.dk>  Wed,  6 Nov 2002 03:45:02 +0100

libgd-gd2-perl (2.02-1) unstable; urgency=low

  * New upstream release.
  * Patch GD.xs to follow libgd2 2.0.4 free -> gdFree change, and build-
    depend on libgd2-dev 2.0.4 or newer.
  * Build-depend on new libpng12-0-dev and on zlib1g-dev, with fallback
    to their virtual packages.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Oct 2002 03:39:17 +0100

libgd-gd2-perl (2.01-2) unstable; urgency=low

  * Add build-dependency on perl (>= 5.8) to force building against new
    perl on all platforms.
  * Update debian/copyright (closes: #157587).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Aug 2002 06:11:31 +0200

libgd-gd2-perl (2.01-1) unstable; urgency=low

  * New upstream release.
  * Change source URL to use cpan.org.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Aug 2002 21:45:38 +0200

libgd-gd2-perl (1.40-3) unstable; urgency=low

  * Tighten ependency on libgd2-xpm-dev to ensure libpng3-only build
    environment.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Aug 2002 22:52:31 +0200

libgd-gd2-perl (1.40-2) unstable; urgency=low

  * Build against libpng3 (thanks to Junichi Uekawa for cleaning up the
    mess finally!).
  * Conflict with new package libgd-gd2-noxpm-perl.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 18 Aug 2002 18:47:29 +0200

libgd-gd2-perl (1.40-1) unstable; urgency=low

  * New variant of libgd-perl, built against libgd2 (Closes: #151240).
  * disable tests 2, 3, 6 and 10 and get in touch with upstream...
  * See libgd-perl for older changes.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 23 Jul 2002 15:40:37 +0200
